## org.biojava.bio.seq.io
Interface FeatureBuilder

All Known Implementing Classes:
  SimpleFeatureBuilder

public interface FeatureBuilder

Factory for new latent features. This is currently used by the EMBL and GENBANK parsers to allow customisable mapping from the attribute lists in the feature table to BioJava features.

Author:
  Thomas Down

Method Summary
`Feature.Template` `buildFeatureTemplate(java.lang.String type, Location loc, StrandedFeature.Strand strandHint, java.util.Map attrs)` Return a latent (template) feature object to represent a feature in some database.

Method Detail

### buildFeatureTemplate

    public Feature.Template buildFeatureTemplate(java.lang.String type,
                                                 Location loc,
                                                 StrandedFeature.Strand strandHint,
                                                 java.util.Map attrs)

  Return a latent (template) feature object to represent a feature in some database.
  Parameters:
    `type` - String which gives the feature's type.
    `loc` - The feature's location in its parent sequence.
    `strandHint` - a value from StrandedFeature hinting at which strand of DNA the caller believes the feature to be on. This may be safely ignored if you believe that the notion of `strand' is not relevant.
    `attrs` - a Map where the key-value pairs represent attributes of the feature. In general, the keys will always be Strings, and the values will usually be Strings, but may be other Objects. For an attribute with no value, Boolean.TRUE is used.
  Returns:
    A Feature.Template instance